Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network252.32.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
252.32.0.0
Broadcast address
252.35.255.255
First usable
252.32.0.1
Last usable
252.35.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FC200000 · Integer 4229955584 to 4230217727
Reverse DNS zones
32.252.in-addr.arpa
33.252.in-addr.arpa
34.252.in-addr.arpa
35.252.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111100.00100000.00000000.00000000252.32.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network11111100.00100000.00000000.00000000252.32.0.0
Broadcast11111100.00100011.11111111.11111111252.35.255.255
Split into smaller subnets/25

252.32.0.0/14 makes 2,048 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1252.32.0.0/25252.32.0.1 to 252.32.0.126252.32.0.127126
2252.32.0.128/25252.32.0.129 to 252.32.0.254252.32.0.255126
3252.32.1.0/25252.32.1.1 to 252.32.1.126252.32.1.127126
4252.32.1.128/25252.32.1.129 to 252.32.1.254252.32.1.255126
5252.32.2.0/25252.32.2.1 to 252.32.2.126252.32.2.127126
6252.32.2.128/25252.32.2.129 to 252.32.2.254252.32.2.255126
7252.32.3.0/25252.32.3.1 to 252.32.3.126252.32.3.127126
8252.32.3.128/25252.32.3.129 to 252.32.3.254252.32.3.255126
9252.32.4.0/25252.32.4.1 to 252.32.4.126252.32.4.127126
10252.32.4.128/25252.32.4.129 to 252.32.4.254252.32.4.255126
11252.32.5.0/25252.32.5.1 to 252.32.5.126252.32.5.127126
12252.32.5.128/25252.32.5.129 to 252.32.5.254252.32.5.255126
13252.32.6.0/25252.32.6.1 to 252.32.6.126252.32.6.127126
14252.32.6.128/25252.32.6.129 to 252.32.6.254252.32.6.255126
15252.32.7.0/25252.32.7.1 to 252.32.7.126252.32.7.127126
16252.32.7.128/25252.32.7.129 to 252.32.7.254252.32.7.255126
17252.32.8.0/25252.32.8.1 to 252.32.8.126252.32.8.127126
18252.32.8.128/25252.32.8.129 to 252.32.8.254252.32.8.255126
19252.32.9.0/25252.32.9.1 to 252.32.9.126252.32.9.127126
20252.32.9.128/25252.32.9.129 to 252.32.9.254252.32.9.255126
21252.32.10.0/25252.32.10.1 to 252.32.10.126252.32.10.127126
22252.32.10.128/25252.32.10.129 to 252.32.10.254252.32.10.255126
23252.32.11.0/25252.32.11.1 to 252.32.11.126252.32.11.127126
24252.32.11.128/25252.32.11.129 to 252.32.11.254252.32.11.255126
25252.32.12.0/25252.32.12.1 to 252.32.12.126252.32.12.127126
26252.32.12.128/25252.32.12.129 to 252.32.12.254252.32.12.255126
27252.32.13.0/25252.32.13.1 to 252.32.13.126252.32.13.127126
28252.32.13.128/25252.32.13.129 to 252.32.13.254252.32.13.255126
29252.32.14.0/25252.32.14.1 to 252.32.14.126252.32.14.127126
30252.32.14.128/25252.32.14.129 to 252.32.14.254252.32.14.255126
31252.32.15.0/25252.32.15.1 to 252.32.15.126252.32.15.127126
32252.32.15.128/25252.32.15.129 to 252.32.15.254252.32.15.255126
33252.32.16.0/25252.32.16.1 to 252.32.16.126252.32.16.127126
34252.32.16.128/25252.32.16.129 to 252.32.16.254252.32.16.255126
35252.32.17.0/25252.32.17.1 to 252.32.17.126252.32.17.127126
36252.32.17.128/25252.32.17.129 to 252.32.17.254252.32.17.255126
37252.32.18.0/25252.32.18.1 to 252.32.18.126252.32.18.127126
38252.32.18.128/25252.32.18.129 to 252.32.18.254252.32.18.255126
39252.32.19.0/25252.32.19.1 to 252.32.19.126252.32.19.127126
40252.32.19.128/25252.32.19.129 to 252.32.19.254252.32.19.255126
41252.32.20.0/25252.32.20.1 to 252.32.20.126252.32.20.127126
42252.32.20.128/25252.32.20.129 to 252.32.20.254252.32.20.255126
43252.32.21.0/25252.32.21.1 to 252.32.21.126252.32.21.127126
44252.32.21.128/25252.32.21.129 to 252.32.21.254252.32.21.255126
45252.32.22.0/25252.32.22.1 to 252.32.22.126252.32.22.127126
46252.32.22.128/25252.32.22.129 to 252.32.22.254252.32.22.255126
47252.32.23.0/25252.32.23.1 to 252.32.23.126252.32.23.127126
48252.32.23.128/25252.32.23.129 to 252.32.23.254252.32.23.255126
49252.32.24.0/25252.32.24.1 to 252.32.24.126252.32.24.127126
50252.32.24.128/25252.32.24.129 to 252.32.24.254252.32.24.255126
51252.32.25.0/25252.32.25.1 to 252.32.25.126252.32.25.127126
52252.32.25.128/25252.32.25.129 to 252.32.25.254252.32.25.255126
53252.32.26.0/25252.32.26.1 to 252.32.26.126252.32.26.127126
54252.32.26.128/25252.32.26.129 to 252.32.26.254252.32.26.255126
55252.32.27.0/25252.32.27.1 to 252.32.27.126252.32.27.127126
56252.32.27.128/25252.32.27.129 to 252.32.27.254252.32.27.255126
57252.32.28.0/25252.32.28.1 to 252.32.28.126252.32.28.127126
58252.32.28.128/25252.32.28.129 to 252.32.28.254252.32.28.255126
59252.32.29.0/25252.32.29.1 to 252.32.29.126252.32.29.127126
60252.32.29.128/25252.32.29.129 to 252.32.29.254252.32.29.255126
61252.32.30.0/25252.32.30.1 to 252.32.30.126252.32.30.127126
62252.32.30.128/25252.32.30.129 to 252.32.30.254252.32.30.255126
63252.32.31.0/25252.32.31.1 to 252.32.31.126252.32.31.127126
64252.32.31.128/25252.32.31.129 to 252.32.31.254252.32.31.255126
65252.32.32.0/25252.32.32.1 to 252.32.32.126252.32.32.127126
66252.32.32.128/25252.32.32.129 to 252.32.32.254252.32.32.255126
67252.32.33.0/25252.32.33.1 to 252.32.33.126252.32.33.127126
68252.32.33.128/25252.32.33.129 to 252.32.33.254252.32.33.255126
69252.32.34.0/25252.32.34.1 to 252.32.34.126252.32.34.127126
70252.32.34.128/25252.32.34.129 to 252.32.34.254252.32.34.255126
71252.32.35.0/25252.32.35.1 to 252.32.35.126252.32.35.127126
72252.32.35.128/25252.32.35.129 to 252.32.35.254252.32.35.255126
73252.32.36.0/25252.32.36.1 to 252.32.36.126252.32.36.127126
74252.32.36.128/25252.32.36.129 to 252.32.36.254252.32.36.255126
75252.32.37.0/25252.32.37.1 to 252.32.37.126252.32.37.127126
76252.32.37.128/25252.32.37.129 to 252.32.37.254252.32.37.255126
77252.32.38.0/25252.32.38.1 to 252.32.38.126252.32.38.127126
78252.32.38.128/25252.32.38.129 to 252.32.38.254252.32.38.255126
79252.32.39.0/25252.32.39.1 to 252.32.39.126252.32.39.127126
80252.32.39.128/25252.32.39.129 to 252.32.39.254252.32.39.255126
81252.32.40.0/25252.32.40.1 to 252.32.40.126252.32.40.127126
82252.32.40.128/25252.32.40.129 to 252.32.40.254252.32.40.255126
83252.32.41.0/25252.32.41.1 to 252.32.41.126252.32.41.127126
84252.32.41.128/25252.32.41.129 to 252.32.41.254252.32.41.255126
85252.32.42.0/25252.32.42.1 to 252.32.42.126252.32.42.127126
86252.32.42.128/25252.32.42.129 to 252.32.42.254252.32.42.255126
87252.32.43.0/25252.32.43.1 to 252.32.43.126252.32.43.127126
88252.32.43.128/25252.32.43.129 to 252.32.43.254252.32.43.255126
89252.32.44.0/25252.32.44.1 to 252.32.44.126252.32.44.127126
90252.32.44.128/25252.32.44.129 to 252.32.44.254252.32.44.255126
91252.32.45.0/25252.32.45.1 to 252.32.45.126252.32.45.127126
92252.32.45.128/25252.32.45.129 to 252.32.45.254252.32.45.255126
93252.32.46.0/25252.32.46.1 to 252.32.46.126252.32.46.127126
94252.32.46.128/25252.32.46.129 to 252.32.46.254252.32.46.255126
95252.32.47.0/25252.32.47.1 to 252.32.47.126252.32.47.127126
96252.32.47.128/25252.32.47.129 to 252.32.47.254252.32.47.255126
97252.32.48.0/25252.32.48.1 to 252.32.48.126252.32.48.127126
98252.32.48.128/25252.32.48.129 to 252.32.48.254252.32.48.255126
99252.32.49.0/25252.32.49.1 to 252.32.49.126252.32.49.127126
100252.32.49.128/25252.32.49.129 to 252.32.49.254252.32.49.255126
101252.32.50.0/25252.32.50.1 to 252.32.50.126252.32.50.127126
102252.32.50.128/25252.32.50.129 to 252.32.50.254252.32.50.255126
103252.32.51.0/25252.32.51.1 to 252.32.51.126252.32.51.127126
104252.32.51.128/25252.32.51.129 to 252.32.51.254252.32.51.255126
105252.32.52.0/25252.32.52.1 to 252.32.52.126252.32.52.127126
106252.32.52.128/25252.32.52.129 to 252.32.52.254252.32.52.255126
107252.32.53.0/25252.32.53.1 to 252.32.53.126252.32.53.127126
108252.32.53.128/25252.32.53.129 to 252.32.53.254252.32.53.255126
109252.32.54.0/25252.32.54.1 to 252.32.54.126252.32.54.127126
110252.32.54.128/25252.32.54.129 to 252.32.54.254252.32.54.255126
111252.32.55.0/25252.32.55.1 to 252.32.55.126252.32.55.127126
112252.32.55.128/25252.32.55.129 to 252.32.55.254252.32.55.255126
113252.32.56.0/25252.32.56.1 to 252.32.56.126252.32.56.127126
114252.32.56.128/25252.32.56.129 to 252.32.56.254252.32.56.255126
115252.32.57.0/25252.32.57.1 to 252.32.57.126252.32.57.127126
116252.32.57.128/25252.32.57.129 to 252.32.57.254252.32.57.255126
117252.32.58.0/25252.32.58.1 to 252.32.58.126252.32.58.127126
118252.32.58.128/25252.32.58.129 to 252.32.58.254252.32.58.255126
119252.32.59.0/25252.32.59.1 to 252.32.59.126252.32.59.127126
120252.32.59.128/25252.32.59.129 to 252.32.59.254252.32.59.255126
121252.32.60.0/25252.32.60.1 to 252.32.60.126252.32.60.127126
122252.32.60.128/25252.32.60.129 to 252.32.60.254252.32.60.255126
123252.32.61.0/25252.32.61.1 to 252.32.61.126252.32.61.127126
124252.32.61.128/25252.32.61.129 to 252.32.61.254252.32.61.255126
125252.32.62.0/25252.32.62.1 to 252.32.62.126252.32.62.127126
126252.32.62.128/25252.32.62.129 to 252.32.62.254252.32.62.255126
127252.32.63.0/25252.32.63.1 to 252.32.63.126252.32.63.127126
128252.32.63.128/25252.32.63.129 to 252.32.63.254252.32.63.255126
129252.32.64.0/25252.32.64.1 to 252.32.64.126252.32.64.127126
130252.32.64.128/25252.32.64.129 to 252.32.64.254252.32.64.255126
131252.32.65.0/25252.32.65.1 to 252.32.65.126252.32.65.127126
132252.32.65.128/25252.32.65.129 to 252.32.65.254252.32.65.255126
133252.32.66.0/25252.32.66.1 to 252.32.66.126252.32.66.127126
134252.32.66.128/25252.32.66.129 to 252.32.66.254252.32.66.255126
135252.32.67.0/25252.32.67.1 to 252.32.67.126252.32.67.127126
136252.32.67.128/25252.32.67.129 to 252.32.67.254252.32.67.255126
137252.32.68.0/25252.32.68.1 to 252.32.68.126252.32.68.127126
138252.32.68.128/25252.32.68.129 to 252.32.68.254252.32.68.255126
139252.32.69.0/25252.32.69.1 to 252.32.69.126252.32.69.127126
140252.32.69.128/25252.32.69.129 to 252.32.69.254252.32.69.255126
141252.32.70.0/25252.32.70.1 to 252.32.70.126252.32.70.127126
142252.32.70.128/25252.32.70.129 to 252.32.70.254252.32.70.255126
143252.32.71.0/25252.32.71.1 to 252.32.71.126252.32.71.127126
144252.32.71.128/25252.32.71.129 to 252.32.71.254252.32.71.255126
145252.32.72.0/25252.32.72.1 to 252.32.72.126252.32.72.127126
146252.32.72.128/25252.32.72.129 to 252.32.72.254252.32.72.255126
147252.32.73.0/25252.32.73.1 to 252.32.73.126252.32.73.127126
148252.32.73.128/25252.32.73.129 to 252.32.73.254252.32.73.255126
149252.32.74.0/25252.32.74.1 to 252.32.74.126252.32.74.127126
150252.32.74.128/25252.32.74.129 to 252.32.74.254252.32.74.255126
151252.32.75.0/25252.32.75.1 to 252.32.75.126252.32.75.127126
152252.32.75.128/25252.32.75.129 to 252.32.75.254252.32.75.255126
153252.32.76.0/25252.32.76.1 to 252.32.76.126252.32.76.127126
154252.32.76.128/25252.32.76.129 to 252.32.76.254252.32.76.255126
155252.32.77.0/25252.32.77.1 to 252.32.77.126252.32.77.127126
156252.32.77.128/25252.32.77.129 to 252.32.77.254252.32.77.255126
157252.32.78.0/25252.32.78.1 to 252.32.78.126252.32.78.127126
158252.32.78.128/25252.32.78.129 to 252.32.78.254252.32.78.255126
159252.32.79.0/25252.32.79.1 to 252.32.79.126252.32.79.127126
160252.32.79.128/25252.32.79.129 to 252.32.79.254252.32.79.255126
161252.32.80.0/25252.32.80.1 to 252.32.80.126252.32.80.127126
162252.32.80.128/25252.32.80.129 to 252.32.80.254252.32.80.255126
163252.32.81.0/25252.32.81.1 to 252.32.81.126252.32.81.127126
164252.32.81.128/25252.32.81.129 to 252.32.81.254252.32.81.255126
165252.32.82.0/25252.32.82.1 to 252.32.82.126252.32.82.127126
166252.32.82.128/25252.32.82.129 to 252.32.82.254252.32.82.255126
167252.32.83.0/25252.32.83.1 to 252.32.83.126252.32.83.127126
168252.32.83.128/25252.32.83.129 to 252.32.83.254252.32.83.255126
169252.32.84.0/25252.32.84.1 to 252.32.84.126252.32.84.127126
170252.32.84.128/25252.32.84.129 to 252.32.84.254252.32.84.255126
171252.32.85.0/25252.32.85.1 to 252.32.85.126252.32.85.127126
172252.32.85.128/25252.32.85.129 to 252.32.85.254252.32.85.255126
173252.32.86.0/25252.32.86.1 to 252.32.86.126252.32.86.127126
174252.32.86.128/25252.32.86.129 to 252.32.86.254252.32.86.255126
175252.32.87.0/25252.32.87.1 to 252.32.87.126252.32.87.127126
176252.32.87.128/25252.32.87.129 to 252.32.87.254252.32.87.255126
177252.32.88.0/25252.32.88.1 to 252.32.88.126252.32.88.127126
178252.32.88.128/25252.32.88.129 to 252.32.88.254252.32.88.255126
179252.32.89.0/25252.32.89.1 to 252.32.89.126252.32.89.127126
180252.32.89.128/25252.32.89.129 to 252.32.89.254252.32.89.255126
181252.32.90.0/25252.32.90.1 to 252.32.90.126252.32.90.127126
182252.32.90.128/25252.32.90.129 to 252.32.90.254252.32.90.255126
183252.32.91.0/25252.32.91.1 to 252.32.91.126252.32.91.127126
184252.32.91.128/25252.32.91.129 to 252.32.91.254252.32.91.255126
185252.32.92.0/25252.32.92.1 to 252.32.92.126252.32.92.127126
186252.32.92.128/25252.32.92.129 to 252.32.92.254252.32.92.255126
187252.32.93.0/25252.32.93.1 to 252.32.93.126252.32.93.127126
188252.32.93.128/25252.32.93.129 to 252.32.93.254252.32.93.255126
189252.32.94.0/25252.32.94.1 to 252.32.94.126252.32.94.127126
190252.32.94.128/25252.32.94.129 to 252.32.94.254252.32.94.255126
191252.32.95.0/25252.32.95.1 to 252.32.95.126252.32.95.127126
192252.32.95.128/25252.32.95.129 to 252.32.95.254252.32.95.255126
193252.32.96.0/25252.32.96.1 to 252.32.96.126252.32.96.127126
194252.32.96.128/25252.32.96.129 to 252.32.96.254252.32.96.255126
195252.32.97.0/25252.32.97.1 to 252.32.97.126252.32.97.127126
196252.32.97.128/25252.32.97.129 to 252.32.97.254252.32.97.255126
197252.32.98.0/25252.32.98.1 to 252.32.98.126252.32.98.127126
198252.32.98.128/25252.32.98.129 to 252.32.98.254252.32.98.255126
199252.32.99.0/25252.32.99.1 to 252.32.99.126252.32.99.127126
200252.32.99.128/25252.32.99.129 to 252.32.99.254252.32.99.255126
201252.32.100.0/25252.32.100.1 to 252.32.100.126252.32.100.127126
202252.32.100.128/25252.32.100.129 to 252.32.100.254252.32.100.255126
203252.32.101.0/25252.32.101.1 to 252.32.101.126252.32.101.127126
204252.32.101.128/25252.32.101.129 to 252.32.101.254252.32.101.255126
205252.32.102.0/25252.32.102.1 to 252.32.102.126252.32.102.127126
206252.32.102.128/25252.32.102.129 to 252.32.102.254252.32.102.255126
207252.32.103.0/25252.32.103.1 to 252.32.103.126252.32.103.127126
208252.32.103.128/25252.32.103.129 to 252.32.103.254252.32.103.255126
209252.32.104.0/25252.32.104.1 to 252.32.104.126252.32.104.127126
210252.32.104.128/25252.32.104.129 to 252.32.104.254252.32.104.255126
211252.32.105.0/25252.32.105.1 to 252.32.105.126252.32.105.127126
212252.32.105.128/25252.32.105.129 to 252.32.105.254252.32.105.255126
213252.32.106.0/25252.32.106.1 to 252.32.106.126252.32.106.127126
214252.32.106.128/25252.32.106.129 to 252.32.106.254252.32.106.255126
215252.32.107.0/25252.32.107.1 to 252.32.107.126252.32.107.127126
216252.32.107.128/25252.32.107.129 to 252.32.107.254252.32.107.255126
217252.32.108.0/25252.32.108.1 to 252.32.108.126252.32.108.127126
218252.32.108.128/25252.32.108.129 to 252.32.108.254252.32.108.255126
219252.32.109.0/25252.32.109.1 to 252.32.109.126252.32.109.127126
220252.32.109.128/25252.32.109.129 to 252.32.109.254252.32.109.255126
221252.32.110.0/25252.32.110.1 to 252.32.110.126252.32.110.127126
222252.32.110.128/25252.32.110.129 to 252.32.110.254252.32.110.255126
223252.32.111.0/25252.32.111.1 to 252.32.111.126252.32.111.127126
224252.32.111.128/25252.32.111.129 to 252.32.111.254252.32.111.255126
225252.32.112.0/25252.32.112.1 to 252.32.112.126252.32.112.127126
226252.32.112.128/25252.32.112.129 to 252.32.112.254252.32.112.255126
227252.32.113.0/25252.32.113.1 to 252.32.113.126252.32.113.127126
228252.32.113.128/25252.32.113.129 to 252.32.113.254252.32.113.255126
229252.32.114.0/25252.32.114.1 to 252.32.114.126252.32.114.127126
230252.32.114.128/25252.32.114.129 to 252.32.114.254252.32.114.255126
231252.32.115.0/25252.32.115.1 to 252.32.115.126252.32.115.127126
232252.32.115.128/25252.32.115.129 to 252.32.115.254252.32.115.255126
233252.32.116.0/25252.32.116.1 to 252.32.116.126252.32.116.127126
234252.32.116.128/25252.32.116.129 to 252.32.116.254252.32.116.255126
235252.32.117.0/25252.32.117.1 to 252.32.117.126252.32.117.127126
236252.32.117.128/25252.32.117.129 to 252.32.117.254252.32.117.255126
237252.32.118.0/25252.32.118.1 to 252.32.118.126252.32.118.127126
238252.32.118.128/25252.32.118.129 to 252.32.118.254252.32.118.255126
239252.32.119.0/25252.32.119.1 to 252.32.119.126252.32.119.127126
240252.32.119.128/25252.32.119.129 to 252.32.119.254252.32.119.255126
241252.32.120.0/25252.32.120.1 to 252.32.120.126252.32.120.127126
242252.32.120.128/25252.32.120.129 to 252.32.120.254252.32.120.255126
243252.32.121.0/25252.32.121.1 to 252.32.121.126252.32.121.127126
244252.32.121.128/25252.32.121.129 to 252.32.121.254252.32.121.255126
245252.32.122.0/25252.32.122.1 to 252.32.122.126252.32.122.127126
246252.32.122.128/25252.32.122.129 to 252.32.122.254252.32.122.255126
247252.32.123.0/25252.32.123.1 to 252.32.123.126252.32.123.127126
248252.32.123.128/25252.32.123.129 to 252.32.123.254252.32.123.255126
249252.32.124.0/25252.32.124.1 to 252.32.124.126252.32.124.127126
250252.32.124.128/25252.32.124.129 to 252.32.124.254252.32.124.255126
251252.32.125.0/25252.32.125.1 to 252.32.125.126252.32.125.127126
252252.32.125.128/25252.32.125.129 to 252.32.125.254252.32.125.255126
253252.32.126.0/25252.32.126.1 to 252.32.126.126252.32.126.127126
254252.32.126.128/25252.32.126.129 to 252.32.126.254252.32.126.255126
255252.32.127.0/25252.32.127.1 to 252.32.127.126252.32.127.127126
256252.32.127.128/25252.32.127.129 to 252.32.127.254252.32.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses